| Kinetis SDK Demo Applications User Guide 1.0.0-beta Freescale Semiconductor, Inc.

- Main Page
- Related Pages
- Demos

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions | Variables
flexcan_demo/src/main.c File Reference
`#include <stdint.h>`
`#include <stdio.h>`
`#include <stdarg.h>`
`#include <string.h>`
`#include "device/fsl_device_registers.h"`
`#include "fsl_uart_driver.h"`
`#include "fsl_clock_manager.h"`
`#include "fsl_flexcan_driver.h"`
`#include "fsl_pit_driver.h"`
`#include "fsl_interrupt_manager.h"`
`#include "board.h"`

## Functions
int | printf (const char *format,...)
| User define function. More...
int | scanf (const char *format,...)
static void | pit0_isr (void)
| K70 PIT IRQ handler with the same name in startup code. More...
void | PIT_IRQ_Handler (void)
static void | init_hardware (void)
| Init hardware for TWR-K70F120M. More...
void | main (void)
| main function. More...

## Variables
static uart_state_t | s_uart0State
static uint32_t | s_uart0Instance
static uart_user_config_t | s_uart0Config
static uint32_t | s_pitInstance
volatile uint8_t | timeout_flag
static pit_user_config_t | s_pitConfig
static uint32_t | TX_identifier
static uint32_t | RX_identifier
static uint32_t | TX_mailbox_num
static uint32_t | RX_mailbox_num
static flexcan_user_config_t | flexcan1_data
static flexcan_id_table_t | id_table
static flexcan_mb_t | rx_fifo
static flexcan_mb_t | rx_mb
static uint8_t | s_flexcanInstance
static flexcan_data_info_t | tx_info
static flexcan_data_info_t | rx_info
static uint32_t | number_errors
bool | int_mb
bool | int_fifo
sync_object_t | irqSync

## Function Documentation

static void init_hardware | ( | void |  | ) |
| static

void main | ( | void |  | ) |

static void pit0_isr | ( | void |  | ) |
| static

Note: each timer has seperate ISR handler.

void PIT_IRQ_Handler | ( | void |  | ) |

int printf | ( | const char * | format,
|  |  | ...
| ) |  |

int scanf | ( | const char * | format,
|  |  | ...
| ) |  |

## Variable Documentation

flexcan_user_config_t flexcan1_data
| static

flexcan_id_table_t id_table
| static

bool int_fifo

bool int_mb

sync_object_t irqSync

uint32_t number_errors
| static

flexcan_mb_t rx_fifo
| static

uint32_t RX_identifier
| static

flexcan_data_info_t rx_info
| static

uint32_t RX_mailbox_num
| static

flexcan_mb_t rx_mb
| static

uint8_t s_flexcanInstance
| static

pit_user_config_t s_pitConfig
| static

uint32_t s_pitInstance
| static

uart_user_config_t s_uart0Config
| static

uint32_t s_uart0Instance
| static

uart_state_t s_uart0State
| static

volatile uint8_t timeout_flag

uint32_t TX_identifier
| static

flexcan_data_info_t tx_info
| static

uint32_t TX_mailbox_num
| static